BU050413_EW01

HP Tru64 UNIX - Usage of GH memory may cause panic

»

HP Tru64 UNIX

Tru64 UNIX

» Tru64 UNIX V5.1B-6
» Tru64 UNIX V5.1B-5
» Documentation
» Information library
» Software web index
» Software products library
» Patch database
» Services
» Developer & Solution Partner Program
» Send us your comments
» Support Statements

Evolving business value

» Tru64 UNIX to HP-UX 11i transition benefits calculator
» Alpha RetainTrust Program
» Transition

Related links

» Alpha systems
» HP-UX 11i
» Integrity servers
» Linux
» HP storage
» HP solutions
HP-UX 11i: measurably better TCO!
 Advisory Information
 

RELEASE DATE: 27 April 2005

DESCRIPTION

Under certain conditions, usage of GH memory (gh_chunks or rad_GH_regions) with new_wire_method enabled (= 1) can lead to a "vl_unwire: page is not wired" or kernel memory fault" panic.

The typical failure of this nature yields stack traces like the ones shown below:

 "vl_unwire: page is not wired"

panic
vl_unwire
u_map_wire
lw_unwire_new
vm_map_pageable
rdg_unwire_iodesc
rdg_post_snd
rdg_io_post
rdg_syscall
syscall
_Xsyscall

 "kernel memory fault"

panic
trap
_XentMM
vl_unwire
u_map_wire
lw_unwire_new
vm_map_pageable
rdg_unwire_iodesc
rdg_post_snd
rdg_io_post
rdg_syscall
syscall
_Xsyscall

Target Audience:
Any customer running HP Tru64 UNIX V5.1B-1/PK3, V5.1B-2/PK4, or V5.1A PK6 with new_wire_method enabled while using GH memory. Customers that have already installed CSP kits T64KIT0024959-V51BB25-20050222.tar or T64KIT00248190V51AB24-20050203.tar do not need to install the ERP kit.

 
SCOPE

The following versions are affected:

  • HP Tru64 UNIX 5.1B-2/PK4
  • HP Tru64 UNIX 5.1B-1/PK3
  • HP Tru64 UNIX 5.1A PK6
 
RESOLUTION

HP is releasing the following Early Release Patch kits (ERPs) publicly for use by any customer. The ERP kits use dupatch to install and will not install over any Customer Specific Patches (CSPs) that have file intersections with the ERP. Contact your service provider for assistance if ERP installation is blocked by any of your installed CSPs.

The fixes contained in the ERP kits are scheduled to be available in the following mainstream patch kit:

HP Tru64 UNIX 5.1B-3

Early Release Patches

The ERP kits listed below distribute the following file:

/sys/BINARY/arch_alphapmap.mod

ERP kits are available for the following versions.

HP Tru64 UNIX 5.1B-2/PK4
ERP Kit Name: T64KIT0025264-V51BB25-E-20050331.tar
Kit Location:
http://www.itrc.hp.com/service/patch/patchDetail.do?patchid=T64KIT0025264-V51BB25-E-20050331

HP Tru64 UNIX 5.1B-1/PK3
ERP Kit Name: T64KIT0025268-V51BB24-E-20050331.tar
Kit Location:
http://www.itrc.hp.com/service/patch/patchDetail.do?patchid=T64KIT0025268-V51BB24-E-20050331

HP Tru64 UNIX 5.1A
ERP Kit Name: T64KIT0025278-V51AB24-E-20050404.tar
Kit Location:
http://www.itrc.hp.com/service/patch/patchDetail.do?patchid=T64KIT0025278-V51AB24-E-20050404